
Redmine - Feature #25807

Upgrade to roadie-rails 1.2

2017-05-10 12:38 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

https://github.com/Mange/roadie-rails/blob/master/Changelog.md

gem "roadie-rails", (RUBY_VERSION < '2.2.0' ? '~> 1.1.1' : '~> 1.2.0')

Related issues:

Related to Redmine - Feature #25538: Drop support for Ruby 2.2.1 and ealier, ... Closed

Related to Redmine - Patch #28929: Update roadie-rails to ~> 1.3.0 Closed

Associated revisions

Revision 16546 - 2017-05-10 13:54 - Toshi MARUYAMA

Gemfile: pin roadie-rails version 1.1 (#25807)

Revision 16547 - 2017-05-10 14:26 - Toshi MARUYAMA

Merged r16546 from trunk to 3.3-stable (#25807)

Gemfile: pin roadie-rails version 1.1.

Revision 16548 - 2017-05-10 14:27 - Toshi MARUYAMA

Merged r16546 from trunk to 3.2-stable (#25807)

Gemfile: pin roadie-rails version 1.1.

Revision 16861 - 2017-07-23 13:42 - Jean-Philippe Lang

Use roadie-rails 1.2 (#25807).

History

#1 - 2017-05-10 13:48 - Toshi MARUYAMA

https://github.com/Mange/roadie-rails/pull/72

diff --git a/roadie-rails.gemspec b/roadie-rails.gemspec

index f162ef6..d59c4c7 100644

--- a/roadie-rails.gemspec

+++ b/roadie-rails.gemspec

@@ -13,6 +13,8 @@ Gem::Specification.new do |spec|

   spec.description   = %q{Hooks Roadie into your Rails application to help with email generation.}

   spec.license       = "MIT" 

+  spec.required_ruby_version = ">= 2.2" 

+

   spec.files         = `git ls-files`.split($/)

   spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }

   spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})

#2 - 2017-05-10 13:56 - Toshi MARUYAMA

- Target version set to 4.0.0

#3 - 2017-05-10 14:01 - Toshi MARUYAMA

Version 1.2.1 should be released immediately
https://github.com/Mange/roadie-rails/issues/73

#4 - 2017-05-12 04:38 - Go MAEDA

- Related to Feature #25538: Drop support for Ruby 2.2.1 and ealier, 2.2.2+ is now required added

#5 - 2017-05-12 08:13 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Subject changed from roadie-rails dropped support for Ruby < 2.2.0 to upgrade roadie-rails 1.2

#6 - 2017-05-12 08:14 - Toshi MARUYAMA

https://github.com/Mange/roadie-rails/issues/73#issuecomment-300991077

Version 1.2.1 has been released.

#7 - 2017-07-23 13:42 - Jean-Philippe Lang

- Subject changed from upgrade roadie-rails 1.2 to Upgrade to roadie-rails 1.2

- Category set to Gems support

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#8 - 2018-06-02 03:56 - Go MAEDA

- Related to Patch #28929: Update roadie-rails to ~> 1.3.0 added

#9 - 2018-06-02 04:21 - Go MAEDA

- Target version deleted (4.0.0)

Cleared target version because the gem was updated to 1.3 for Redmine 4.0.0 by #28929.
